org.apache.hadoop.crypto.key

## Class KeyProvider.Options

- java.lang.Object
- - org.apache.hadoop.crypto.key.KeyProvider.Options

- Enclosing class:
    KeyProvider

      public static class KeyProvider.Options
      extends Object

  Options when creating key objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Options(Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAttributes()`
    `int` | `getBitLength()`
    `String` | `getCipher()`
    `String` | `getDescription()`
    `KeyProvider.Options` | `setAttributes(Map<String,String> attributes)`
    `KeyProvider.Options` | `setBitLength(int bitLength)`
    `KeyProvider.Options` | `setCipher(String cipher)`
    `KeyProvider.Options` | `setDescription(String description)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Options

          public Options(Configuration conf)

  - ### Method Detail

    - #### setCipher

          public KeyProvider.Options setCipher(String cipher)

    - #### setBitLength

          public KeyProvider.Options setBitLength(int bitLength)

    - #### setDescription

          public KeyProvider.Options setDescription(String description)

    - #### setAttributes

          public KeyProvider.Options setAttributes(Map<String,String> attributes)

    - #### getCipher

          public String getCipher()

    - #### getBitLength

          public int getBitLength()

    - #### getDescription

          public String getDescription()

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.